Name: squashfs-tools-ng
Version: 1.2.0
Summary: A new set of tools and libraries for working with SquashFS images
URL:	 https://github.com/AgentD/squashfs-tools-ng
Source0: https://infraroot.at/pub/squashfs/squashfs-tools-ng-%{version}.tar.gz
Release: 1%{dist}
License: GPL-3.0-or-later

BuildRequires: make
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: lzo-devel
BuildRequires: libattr-devel
BuildRequires: lz4-devel
BuildRequires: libzstd-devel
BuildRequires: help2man

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains modified utilities for manipulating squashfs filesystems.

%package devel
Summary: Header files for squashfs-tools-ng development
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The squashfs-tools-ng package contains the header files needed to develop
programs that use the squashfs-tools-ng libsquashfs library.

%package static
Summary: Static libraries for squashfs-tools-ng development
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description static
The squashfs-tools-ng-static package includes static libraries needed to
develop programs that use the squashfs-tools-ng libsquashfs library.

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%files
%doc README* CHANGELOG* COPYING*
%{_libdir}/libsquashfs.so*
%{_bindir}/gensquashfs
%{_bindir}/rdsquashfs
%{_bindir}/sqfs2tar
%{_bindir}/sqfsdiff
%{_bindir}/tar2sqfs
%{_mandir}/man1/gensquashfs.1.*
%{_mandir}/man1/rdsquashfs.1.*
%{_mandir}/man1/sqfs2tar.1.*
%{_mandir}/man1/sqfsdiff.1.*
%{_mandir}/man1/tar2sqfs.1.*

%files devel
%{_includedir}/sqfs/*
%{_libdir}/pkgconfig/libsquashfs1.pc

%files static
%{_libdir}/libsquashfs.a

%changelog
* Mon Oct 9 2023 David Trudgian <dtrudg@sylabs.io> - 1.2.0-1
- Initial packaging of upstream 1.2.0 version.

